import TagsViewStore from './TagsView.js';

export default {
  install() {
    const store = window[Symbol.for('vueAppStore')];

    if (!store.state.app) {
      store.registerModule(['app'], {
        namespaced: true,
      });
    }
    if (!store.state.app.tagsView) {
      store.registerModule(['app', 'tagsView'], TagsViewStore);
    }
  },
  uninstall() {
    const store = window.$store;
    store.unregisterModule(['app', 'tagsView']);
  },
};
